---
title: "Change Telegram profile photo"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/accounts.update_photo
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Change Telegram profile photo

Set a new profile photo from an image already uploaded to the account's outgoing folder (`storagePath`).

Set a new profile photo from an image already uploaded to the account's outgoing folder (`storagePath`).

## Overview

| Name | Value |
| --- | --- |
| Code | `accounts.update_photo` |
| Scope needed | `profile.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Queues work for a node |
| Needs `Idempotency-Key` | Yes |
| Member roles allowed | `owner`, `manager` |
| In the app | Accounts → Profile → Profile photo |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accountId` | `uuid` | Yes |   |
| `storagePath` | `text` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/accounts.update_photo \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"accountId":"00000000-0000-0000-0000-000000000000","storagePath":"…"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `jobId` | `text` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "jobId": "00000000-0000-4000-8000-000000000000"
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "accounts.update_photo"`. Tool name when listed: `accounts_update_photo`.
